default:
  tags: [ docker ]

stages:
  - lint
  - test

lint_containerfile:
  image: hadolint/hadolint:latest-debian
  stage: lint
  script:
    - hadolint Containerfile
  rules:
    - changes:
        - Containerfile
      when: always

test:
  stage: test
  image: registry.access.redhat.com/ubi8/python-39:latest
  script:
    - pip3 install -r tests/requirements.txt
    - PYTHONPATH="${PYTHONPATH}:/make-lockfile" pytest -v tests



